# PSF-LoginServer - master - net.psforever.packet.game.objectcreate.DetailedCharacterData
PSF - LoginServer - master - net.psforever.packet.game.objectcreate.DetailedCharacterData
Keywords: PSF LoginServer master net.psforever.packet.game.objectcreate.DetailedCharacterData

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package packet
  Definition Classes
    psforever
-  package game
  Definition Classes
    packet
-  package objectcreate
  Definition Classes
    game
- AegisShieldGeneratorData
- AmmoBoxData
- BasicCharacterData
- CaptureFlagData
- CharacterAppearanceA
- CharacterAppearanceB
- CharacterAppearanceData
- CharacterData
- CommonFieldData
- CommonFieldDataExtra
- CommonFieldDataWithPlacement
- ConstructorData
- DCDExtra1
- DCDExtra2
- DestroyedVehicleData
- DetailedAmmoBoxData
- DetailedCharacterA
- DetailedCharacterB
- DetailedCharacterData
- DetailedCommandDetonaterData
- DetailedConstructionToolData
- DetailedLockerContainerData
- DetailedPlayerData
- DetailedREKData
- DetailedWeaponData
- DrawnSlot
- DroppedItemData
- DroppodData
- FlightPhysics
- HandheldData
- ImplantEffects
- ImplantEntry
- InternalSlot
- InventoryData
- InventoryItemData
- LargeDeployableData
- LockerContainerData
- MountItem
- ObjectClass
- ObjectCreateBase
- ObjectCreateMessageParent
- OneMannedFieldTurretData
- OrbitalShuttleData
- PlacementData
- PlayerData
- Prefab
- REKData
- RemoteProjectileData
- RemoteProjectiles
- RibbonBars
- SmallTurretData
- SpecificVehicleData
- StreamBitSize
- TRAPData
- TelepadDeployableData
- TerminalData
- UniformStyle
- UtilityVehicleData
- VariantVehicleData
- VehicleData
- VehicleFormat
- WeaponData

c

net.psforever.packet.game.objectcreate

# DetailedCharacterData 

###
Companion object DetailedCharacterData

#### final case class DetailedCharacterData(a: DetailedCharacterA, b: DetailedCharacterB)(pad_length: Option[Int]) extends ConstructorData with Product with Serializable

A representation of a portion of an avatar's `ObjectCreateDetailedMessage` packet data.
This densely-packed information outlines most of the specifics required to depict a character as an avatar. It goes into depth about information related to the given character in-game career that is not revealed to other players. To be specific, it passes more thorough data about the character that the client can display to the owner of the client. For example, health is a full number, rather than a percentage, as is the case with `CharacterData`. Just as prominent is the list of first time events and the list of completed tutorials. Additionally, a full inventory, as opposed to the initial five weapon slots.

Source
  DetailedCharacterData.scala
See also

  `CharacterData`

Linear Supertypes
Serializable, Product, Equals, ConstructorData, StreamBitSize, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. DetailedCharacterData
2. Serializable
3. Product
4. Equals
5. ConstructorData
6. StreamBitSize
7. AnyRef
8. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new DetailedCharacterData(a: DetailedCharacterA, b: DetailedCharacterB)(pad_length: Option[Int])

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  val a: DetailedCharacterA
5.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
6.  val b: DetailedCharacterB
7.  def bitsize: Long

   Performs a "sizeof()" analysis of the given object.
   The calculation reflects the `scodec Codec` definition rather than the explicit parameter fields.

   Performs a "sizeof()" analysis of the given object.
   The calculation reflects the `scodec Codec` definition rather than the explicit parameter fields. For example, a traditional `Int` is normally a 32-bit number, often rendered as a `32u` number. When parsed with a `uintL(7)`, it's length will be considered 7 bits (`7u`). (Note: being permanently signed, an `scodec` value of `32u` or longer must fit into a `Long` type.)

   returns

     the number of bits necessary to measure an object of this class; defaults to `0L`

   Definition Classes
     DetailedCharacterData → StreamBitSize
8.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
9.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
10.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
11.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
12.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
13.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
15.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
16.  def productElementNames: Iterator[String]
    Definition Classes
      Product
17.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
18.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
19.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
20.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from ConstructorData

### Inherited from StreamBitSize

### Inherited from AnyRef

### Inherited from Any

### Ungrouped